# cern-root-setup
Simple tool to install the latest version of CERN ROOT on workstations.

Current latest ROOT version: **v6.18.04**

## Motivation
The LCM team, among other services, provides help to users for setup their 
workstations, and the ROOT installation is one of the most requested tasks. 

This repo is a simple exercise that aims to provide a quick and easy way
to install ROOT from binary packages on laptops meanwhile demostrating 
how useful and effective Ansible is as an automation tool. 

## Supported OS
* Fedora 31
* Fedora 30
* Ubuntu 18.04 LTS

## Prerequisites
Ansible version 2.5+ is required.

### How to install Ansible on your laptop
Ansible can be installed with the following commands:

#### Fedora 30/31
```
# dnf install -y ansible
```

#### Ubuntu 18.04+
```
# apt install ansible
```

## Installation
Clone this repo on your machine:

```
$ git clone https://lcm.mi.infn.it/gogs/andreatsh/cern-root-setup.git
```

## Usage
Run the Ansible installation playbook:

```
$ cd cern-root-setup/bin
$ bash setup.sh
```

## License
This project is licensed under GPLv3 License - see the [LICENSE](LICENSE) file for details.

